Subject: Re: bug#65491: [PATCH] Improve performance allocating vectors

From: Po Lu <[email-masked]>
Date: Mon, 18 Sep 2023 10:19:09 +0800

Stefan Monnier <[email-masked]> writes:

> Even converting them back to their original pointer (which is what we do
> with tag/untag pairs) is documented to be well-defined if you compile
> using GCC.

Only if the consequent pointer designates the same object as the initial
pointer (of which I see no scrutable definition within GCC's
documentation.)  But in practice, this doesn't matter, or so I thought.

> In contrast the pointer arithmetic on NULL pointers appears to be
> something which compilers have started to (ab)use as an assumption for
> their optimizations.  Hence the need to update our code.

Hmm?  Where in this thread was that fact established?

Thanks.